Debian & Ubuntu PHP-Proxy 中文一键安装脚本(带自动跳转HTTPS、自动申请Let’s Encrypt SSL证书)

怀旧教程。Glype 已死,PHP-Proxy 接盘。开始捣鼓吧。

基本信息

  • 大小:19.41KB
  • 语言:中文

脚本的使用

在终端执行:

系统需求

  • 采用KVM、XEN 或 OpenVZ架构的VPS,或者实体机器。
  • 支持 Debian 7 / 8 / 9 和 Ubuntu 14.04 / 16.04。32位或64位均可。
  • 需要有域名,且域名的A记录指向VPS的IP地址。
  • 需要有EMAIL,以申请Let’s Encrypt SSL证书。

错误代码

  • 0:正常执行并退出
  • 1:执行apt install 或 wget 时出现问题
  • 2:安装必填项没有填写
  • 3:权限不足,需要超级用户权限
  • 4:Linux 发行版不受支持
  • 5:申请Let’s Encrypt SSL证书时出现问题

工作方式

  • 对于 Debian 7 / 8 以及 Ubuntu 14.04,会安装 php5 和 nginx。
  • 对于 Debian 9 以及 Ubuntu 16.04,会安装 php7.0 和 nginx。

PHP 的拓展仅安装了 php5-curl 或 php7.0-curl。

实机测试

脚本在所有支持的操作系统上均测试通过。日志文件可以通过下面的链接查看:

觉得不错?分享给你的小伙伴:

发表评论